<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Taxonomy Label Linkbase File created by AppTrend - Consolia XBRL Reporting version: Consolia XBRL Office 2.11.1.0 / TM 1.6.2 -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
               xmlns:link="http://www.xbrl.org/2003/linkbase"
               xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:label="ifrs-full_CostOfSales" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales"/>
        <link:labelArc xlink:from="ifrs-full_CostOfSales" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="total_CostOfSales" xlink:type="arc"/>
        <link:label xlink:label="total_CostOfSales" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource"
                    id="total_CostOfSales" xml:lang="pl">Koszt własny sprzedaży ogółem</link:label>
        <link:loc xlink:label="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
        <link:labelArc xlink:from="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="negatedLabel_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:label xlink:label="negatedLabel_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource"
                    id="negatedLabel_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xml:lang="pl">Zakup instrumentów finansowych zaklasyfikowany jako działalność inwestycyjna</link:label>
        <link:loc xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:labelArc xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="negatedLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:label xlink:label="negatedLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource"
                    id="negatedLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xml:lang="pl">Zakup rzeczowych aktywów trwałych, wartości niematerialnych innych niż wartość firmy, nieruchomości inwestycyjnych oraz innych aktywów trwałych</link:label>
        <link:loc xlink:label="mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome"/>
        <link:labelArc xlink:from="mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:type="arc"/>
        <link:label xlink:label="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xml:lang="pl">Korekty z tytułu zmian stanu zobowiązań z tytułu dostaw i usług, pozostałych zobowiązań, rozliczeń międzyokresowych i przychodów przyszłych okresów</link:label>
        <link:labelArc xlink:from="mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:type="arc"/>
        <link:label xlink:label="documentation_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome" xml:lang="pl">Korekty z tytułu zmian stanu zobowiązań z tytułu dostaw i usług, pozostałych zobowiązań, rozliczeń międzyokresowych i przychodów przyszłych okresów</link:label>
        <link:loc xlink:label="mak_AdjustmentsForInterestIncomeExpense" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_AdjustmentsForInterestIncomeExpense"/>
        <link:labelArc xlink:from="mak_AdjustmentsForInterestIncomeExpense" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_AdjustmentsForInterestIncomeExpense" xlink:type="arc"/>
        <link:label xlink:label="label_AdjustmentsForInterestIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_AdjustmentsForInterestIncomeExpense" xml:lang="pl">Korekty wynikające z (przychodów) kosztów z tytułu odsetek</link:label>
        <link:labelArc xlink:from="mak_AdjustmentsForInterestIncomeExpense" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_AdjustmentsForInterestIncomeExpense" xlink:type="arc"/>
        <link:label xlink:label="documentation_AdjustmentsForInterestIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_AdjustmentsForInterestIncomeExpense" xml:lang="pl">Korekty wynikające z (przychodów) kosztów z tytułu odsetek</link:label>
        <link:loc xlink:label="mak_CostOfGoodsSoldAndServicesRendered" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_CostOfGoodsSoldAndServicesRendered"/>
        <link:labelArc xlink:from="mak_CostOfGoodsSoldAndServicesRendered" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_CostOfGoodsSoldAndServicesRendered" xlink:type="arc"/>
        <link:label xlink:label="label_CostOfGoodsSoldAndServicesRendered" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_CostOfGoodsSoldAndServicesRendered" xml:lang="pl">Koszty sprzedanych produktów i świadczonych usług</link:label>
        <link:labelArc xlink:from="mak_CostOfGoodsSoldAndServicesRendered" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_CostOfGoodsSoldAndServicesRendered" xlink:type="arc"/>
        <link:label xlink:label="documentation_CostOfGoodsSoldAndServicesRendered" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_CostOfGoodsSoldAndServicesRendered" xml:lang="pl">Koszty sprzedanych produktów i świadczonych usług</link:label>
        <link:loc xlink:label="mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves"/>
        <link:labelArc xlink:from="mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="label_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xml:lang="pl">Zmniejszenie rezerwy kapitałowej na umorzenie i pozostałych kapitałów rezerwowych</link:label>
        <link:labelArc xlink:from="mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="documentation_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xml:lang="pl">Zmniejszenie rezerwy kapitałowej na umorzenie i pozostałych kapitałów rezerwowych</link:label>
        <link:labelArc xlink:from="mak_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="negatedLabel_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="negatedLabel_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource"
                    id="negatedLabel_DecreaseOfCapitalRedemptionReserveAndOtherReserves" xml:lang="pl">Zmniejszenie rezerwy kapitałowej na umorzenie i pozostałych kapitałów rezerwowych</link:label>
        <link:loc xlink:label="mak_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_IncreaseOfCapitalRedemptionReserveAndOtherReserves"/>
        <link:labelArc xlink:from="mak_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="label_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xml:lang="pl">Zwiększenie rezerwy kapitałowej na umorzenie i pozostałych kapitałów rezerwowych</link:label>
        <link:labelArc xlink:from="mak_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="documentation_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_IncreaseOfCapitalRedemptionReserveAndOtherReserves" xml:lang="pl">Zwiększenie rezerwy kapitałowej na umorzenie i pozostałych kapitałów rezerwowych</link:label>
        <link:loc xlink:label="mak_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_RevenueFromSaleOfGoodsAndRenderingOfServices"/>
        <link:labelArc xlink:from="mak_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:type="arc"/>
        <link:label xlink:label="label_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_RevenueFromSaleOfGoodsAndRenderingOfServices" xml:lang="pl">Przychody ze sprzedaży produktów i świadczenia usług</link:label>
        <link:labelArc xlink:from="mak_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:type="arc"/>
        <link:label xlink:label="documentation_RevenueFromSaleOfGoodsAndRenderingOfServices" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_RevenueFromSaleOfGoodsAndRenderingOfServices" xml:lang="pl">Przychody ze sprzedaży produktów i świadczenia usług</link:label>
        <link:loc xlink:label="mak_RevenueFromSalesOfMerchandiseAndMaterials" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_RevenueFromSalesOfMerchandiseAndMaterials"/>
        <link:labelArc xlink:from="mak_RevenueFromSalesOfMerchandiseAndMaterials" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_RevenueFromSalesOfMerchandiseAndMaterials" xlink:type="arc"/>
        <link:label xlink:label="label_RevenueFromSalesOfMerchandiseAndMaterials" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_RevenueFromSalesOfMerchandiseAndMaterials" xml:lang="pl">Przychody ze sprzedaży towarów i materiałów</link:label>
        <link:labelArc xlink:from="mak_RevenueFromSalesOfMerchandiseAndMaterials" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_RevenueFromSalesOfMerchandiseAndMaterials" xlink:type="arc"/>
        <link:label xlink:label="documentation_RevenueFromSalesOfMerchandiseAndMaterials" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_RevenueFromSalesOfMerchandiseAndMaterials" xml:lang="pl">Przychody ze sprzedaży towarów i materiałów</link:label>
        <link:loc xlink:label="mak_SharePremiumAndOtherReserves" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_SharePremiumAndOtherReserves"/>
        <link:labelArc xlink:from="mak_SharePremiumAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_SharePremiumAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="label_SharePremiumAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_SharePremiumAndOtherReserves" xml:lang="pl">Premia emisyjna i pozostałe kapitały rezerwowe</link:label>
        <link:labelArc xlink:from="mak_SharePremiumAndOtherReserves" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_SharePremiumAndOtherReserves" xlink:type="arc"/>
        <link:label xlink:label="documentation_SharePremiumAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_SharePremiumAndOtherReserves" xml:lang="pl">Premia emisyjna i pozostałe kapitały rezerwowe</link:label>
        <link:loc xlink:label="mak_SharePremiumAndOtherReservesMember" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_SharePremiumAndOtherReservesMember"/>
        <link:labelArc xlink:from="mak_SharePremiumAndOtherReservesMember" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="label_SharePremiumAndOtherReservesMember" xlink:type="arc"/>
        <link:label xlink:label="label_SharePremiumAndOtherReservesMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource"
                    id="label_SharePremiumAndOtherReservesMember" xml:lang="pl">Premia emisyjna i pozostałe kapitały rezerwowe [member]</link:label>
        <link:labelArc xlink:from="mak_SharePremiumAndOtherReservesMember" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
                       xlink:to="documentation_SharePremiumAndOtherReservesMember" xlink:type="arc"/>
        <link:label xlink:label="documentation_SharePremiumAndOtherReservesMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource"
                    id="documentation_SharePremiumAndOtherReservesMember" xml:lang="pl">Premia emisyjna i pozostałe kapitały rezerwowe [member]</link:label>
    </link:labelLink>
</link:linkbase>